For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
      • GETRetrieve employer quote
      • GETList all employer quotes
      • GETRetrieve an employer policy
      • GETList all employer policies
      • GETRetrieve an employee offer
      • GETList all employee offers
      • GETList all employee policies
      • GETRetrieve an employee policy
    • Contribution Reports
    • Events and Webhooks
    • API Errors
Get access
LogoLogo
API ReferenceHealth Insurance

List all employee offers

GET
/employees/:employee_id/health_insurance/offers
GET
/employees/:employee_id/health_insurance/offers
$curl https://test.api.kota.io/employees/ee_3b1333d87d9d4fd6ad83ba7f6b0e951a/health_insurance/offers \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "items": [
3 {
4 "id": "eeho_3b1333d87d9d4fd6ad83ba7f6b0e951a",
5 "employer_id": "er_3b1333d87d9d4fd6ad83ba7f6b0e951a",
6 "employee_id": "ee_3b1333d87d9d4fd6ad83ba7f6b0e951a",
7 "status": "action_required",
8 "coverage_level": {
9 "plan_id": "pl_3b1333d87d9d4fd6ad83ba7f6b0e951a",
10 "plan_name": "Comprehensive Health Plan",
11 "plan_currency": "eur",
12 "provider_name": "Global Health Insurance Co.",
13 "provider_logo_url": "https://globalhealth.example.com/logo.png",
14 "documents": [
15 {
16 "title": "Insurance Product Information Document",
17 "link": "https://globalhealth.example.com/docs/product-info.pdf"
18 },
19 {
20 "title": "Hospital List",
21 "link": "https://globalhealth.example.com/docs/hospital-list.pdf"
22 }
23 ],
24 "provider_employer_platform_url": "https://employer.globalhealth.example.com",
25 "provider_support_phone": "+44-20-7946-0958"
26 },
27 "object": "employee_health_insurance_offer",
28 "required_action": {
29 "reason": "Documents missing",
30 "reason_description": "Please submit your identification documents to proceed with the insurance offer.",
31 "code": "submit_documents",
32 "due_at": "2024-12-01"
33 }
34 }
35 ],
36 "page": 1,
37 "page_size": 10,
38 "total_count": 25,
39 "has_next_page": true,
40 "has_previous_page": false
41}

Returns a list of group health insurance offers for an employee. The offers are returned sorted by creation date, with the most recent offer appearing first.

Previous

Retrieve an employee offer

Next

List all employee policies

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

employee_idstringRequiredformat: "ee_.+"

Query parameters

pageintegerOptional
The page of results to return. Defaults to 1 if not provided.
page_sizeintegerOptional
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.

Response

OK
itemslist of objects
A paginated array containing the response elements
pageinteger
The current page of the results
page_sizeinteger
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_countinteger
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_pagebooleanRead-only
Whether there are more pages available after this page
has_previous_pagebooleanRead-only
Whether there are more pages available before this page

Errors

404
Not Found Error